Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.handlers
Class JWSHandler

    java.lang.Object
      |
      +--org.apache.axis.handlers.BasicHandler
            |
            +--org.apache.axis.handlers.JWSHandler

All Implemented Interfaces:
  Handler, java.io.Serializable

public class JWSHandler
extends BasicHandler

A `JWSHandler` sets the target service and JWS filename in the context depending on the JWS configuration and the target URL.

Author:
  Glen Daniels (gdaniels@allaire.com), Doug Davis (dug@us.ibm.com), Sam Ruby (rubys@us.ibm.com)
See Also:
  Serialized Form

Field Summary
`java.lang.String` | `DEFAULT_JWS_FILE_EXTENSION`
`protected static org.apache.commons.logging.Log` | `log`
`java.lang.String` | `OPTION_JWS_FILE_EXTENSION`
`protected static java.util.HashMap` | `soapServices`

Fields inherited from class org.apache.axis.handlers.BasicHandler
`name, options`

Constructor Summary
`JWSHandler()`

Method Summary
`void` | `generateWSDL(MessageContext msgContext)` Obtain WSDL information.
`void` | `invoke(MessageContext msgContext)` Just set up the service, the inner service will do the rest...
`static boolean` | `isJar(java.io.InputStream is)`
`protected void` | `setupService(MessageContext msgContext)` If our path ends in the right file extension (*.jws), handle all the work necessary to compile the source file if it needs it, and set up the "proxy" RPC service surrounding it as the MessageContext's active service.

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

### OPTION_JWS_FILE_EXTENSION

    public final java.lang.String OPTION_JWS_FILE_EXTENSION

### DEFAULT_JWS_FILE_EXTENSION

    public final java.lang.String DEFAULT_JWS_FILE_EXTENSION

### soapServices

    protected static java.util.HashMap soapServices

Constructor Detail

### JWSHandler

    public JWSHandler()

Method Detail

### invoke

    public void invoke(MessageContext msgContext)
                throws AxisFault

  Just set up the service, the inner service will do the rest...
  Overrides:
    `invoke` in class `BasicHandler`

### setupService

    protected void setupService(MessageContext msgContext)
                         throws java.lang.Exception

  If our path ends in the right file extension (*.jws), handle all the work necessary to compile the source file if it needs it, and set up the "proxy" RPC service surrounding it as the MessageContext's active service.

### isJar

    public static boolean isJar(java.io.InputStream is)

### generateWSDL

    public void generateWSDL(MessageContext msgContext)
                      throws AxisFault

  Description copied from interface: `Handler`
  Obtain WSDL information. Some Handlers will implement this by merely setting properties in the MessageContext, others (providers) will take responsibility for doing the "real work" of generating WSDL for a given service.
  Overrides:
    `generateWSDL` in class `BasicHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.